For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList orders for a business
        • POSTCreate an order for a business
        • GETRetrieve an order
        • GETRetrieve an order by ID
        • PUTUpdate an order
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationOrders

Create an order for a business

POST
https://api.middesk.com/v1/businesses/:business_id/orders
POST
/v1/businesses/:business_id/orders
$curl -X POST https://api.middesk.com/v1/businesses/business_id/orders \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "object": "order",
3 "id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
4 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
5 "product": "business_verification_verify",
6 "status": "completed",
7 "monitoring": false,
8 "requester": {
9 "name": "John Doe",
10 "type": "user"
11 },
12 "created_at": "2025-01-07T12:00:00.000Z",
13 "updated_at": "2025-01-07T12:00:00.000Z",
14 "completed_at": "2025-01-07T12:05:00.000Z"
15}
Was this page helpful?
Previous

Retrieve an order

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Request

This endpoint expects an object.
productenumOptional
Product type for the order
subproductslist of enumsOptional
Array of subproducts
optionsobjectOptional
Additional options for the order

Response

order created

Errors

400
Create Order Request Bad Request Error
422
Create Order Request Unprocessable Entity Error